Bug 10910 - init.d/mdadm does not support all necessary parameters
: init.d/mdadm does not support all necessary parameters
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mdadm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-23 04:17 by
Modified: 2007-04-21 16:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-23 04:17:08
$ rpmquery -p --qf '%{preun}\n' mdadm-2.6-alt2.i586.rpm 
/usr/sbin/preun_service mdadm

# rpmi -e mdadm
Usage: mdadm {start|stop|status|restart|condrestart}

This happens because /etc/init.d/mdadm does not support "condstop" parameter
used by /usr/sbin/preun_service.
------- Comment #1 From 2007-03-03 20:25:56 -------
Fixed in 2.6.1-*.